" Vim Syntax File
" Language:	    Dominions 3 Map
" Maintainer:	    analytic_kernel (http://forum.shrapnelgames.com/member.php?u=13499)
" Last Change:	    2009/01/24

if exists("b:current_syntax")
    finish
endif

runtime! syntax/dom3_BASE.vim

syntax keyword dom3Cmds_String #dom2title #imagefile #description nextgroup=dom3String skipwhite skipempty
syntax keyword dom3Cmds_Natural #domversion #features #allowedplayer #victorycondition #cannotwin #start #nostart nextgroup=dom3Natural skipwhite skipempty
syntax keyword dom3Cmds_Flag #scenario #nohomelandnames #nonamefilter
syntax keyword dom3Cmds_NaturalPair #neighbour #terrain #computerplayer #allies #victorypoints #specstart #dominionstr nextgroup=dom3NaturalPair skipwhite skipempty
syntax keyword dom3Cmds_NatStrPair #landname nextgroup=dom3NatStrPair skipwhite skipempty
syntax keyword dom3Cmds_NatEitherPair #god nextgroup=dom3NatEitherPair skipwhite skipempty
syntax keyword dom3Cmds_NatIntPair #scale_chaos #scale_lazy #scale_cold #scale_death #scale_unluck #scale_unmagic nextgroup=dom3NatIntPair skipwhite skipempty
syntax keyword dom3Cmds_Fixed1R1 #defaultmapzoom nextgroup=dom3Fixed1R1 skipwhite skipempty
syntax keyword dom3Cmds_RGBAQuadruplet #maptextcol nextgroup=dom3RGBAQuadruplet skipwhite skipempty

syntax keyword dom3Cmd_land #land nextgroup=dom3Natural skipwhite skipempty
syntax keyword dom3Cmd_setland #setland nextgroup=dom3Natural skipwhite skipempty
syntax keyword dom3LandCmd_commander #commander nextgroup=dom3Either skipwhite skipempty

syntax keyword dom3CmdrCmds_String #comname #additem nextgroup=dom3String skipwhite skipempty 
syntax keyword dom3CmdrCmds_Natural #mag_fire #mag_air #mag_water #mag_earth #mag_astral #mag_death #mag_nature #mag_blood #mag_priest #xp #randomequip nextgroup=dom3Natural skipwhite skipempty 
syntax keyword dom3CmdrCmds_NatEitherPair #bodyguards #units nextgroup=dom3NatEitherPair skipwhite skipempty
syntax keyword dom3CmdrCmds_Flag #clearmagic
"syntax cluster dom3CmdrCmds contains=dom3Comment,dom3LandCmd_commander,dom3CmdrCmds_String,dom3CmdrCmds_Natural,dom3CmdrCmds_NatEitherPair,dom3CmdrCmds_Flag

syntax keyword dom3LandCmds_Natural #poptype #owner #fort #unrest #population #defence nextgroup=dom3Natural skipwhite skipempty
syntax keyword dom3LandCmds_Either #feature #knownfeature nextgroup=dom3Either skipwhite skipempty
syntax keyword dom3LandCmds_Flag #killfeatures #temple #lab
"syntax cluster dom3LandCmds contains=dom3Comment,dom3LandCmds_Natural,dom3LandCmds_Either,dom3LandCmds_Flag,dom3CmdrBlock_New

highlight link dom3Cmd_land			Special
highlight link dom3Cmd_setland			Special
highlight link dom3LandCmd_commander		Special

highlight link dom3Cmds_String			Keyword
highlight link dom3Cmds_Natural			Keyword
highlight link dom3Cmds_Flag			Keyword
highlight link dom3Cmds_NaturalPair		Keyword
highlight link dom3Cmds_NatStrPair		Keyword
highlight link dom3Cmds_NatEitherPair		Keyword
highlight link dom3Cmds_NatIntPair		Keyword
highlight link dom3Cmds_Fixed1R1		Keyword
highlight link dom3Cmds_Version			Keyword
highlight link dom3Cmds_RGBAQuadruplet		Keyword

highlight link dom3CmdrCmds_String		Keyword
highlight link dom3CmdrCmds_Natural		Keyword
highlight link dom3CmdrCmds_NatEitherPair	Keyword
highlight link dom3CmdrCmds_Flag		Keyword

highlight link dom3LandCmds_Natural		Keyword
highlight link dom3LandCmds_Either		Keyword
highlight link dom3LandCmds_Flag		Keyword

let b:current_syntax = "dom3_map"
syntax sync fromstart
